build: Allow all possible JDK editions by default ยท CyanogenMod/android_build@df03dd1

JDK 7 or JDK 8? Oracle JDK or OpenJDK? Who cares? CM builds and works just fine with any one of them! Drop EXPERIMENTAL_USE_JAVA8 and OpenJDK checks to allow all of them. Change-Id: I64d7887c2fab...